controllers:
  files: 'app/controllers/**/*.rb'
  allowed: 'presenters, devise, actioncontroller, project_relations, project, admins, consolidated_control'

project:
  files: 'app/models/project.rb'
  required: 'activerecord'
  allowed: 'chartdraw, project_relations, admins'

project_relations:
  files: 'app/models/area.rb, app/models/company.rb, app/models/areas_project.rb, app/models/attack.rb, app/models/control.rb, app/models/diagnostic.rb, app/models/improvement.rb, app/models/action.rb, app/models/task.rb, app/models/responsible.rb'
  required: 'activerecord'
  allowed: 'chartdraw, mailers, admins'

mailers:
  files: 'app/mailers/**/*.rb'
  allowed: 'project_relations, project'
  required: 'actionmailer'

documents:
  files: 'app/models/attack_document.rb, app/models/control_document.rb, app/models/document.rb, app/models/improvement_document.rb'
  required: 'activerecord'

admins:
  files: 'app/models/admin.rb, app/models/admin_project.rb, app/models/admin_project_area.rb'
  required: 'activerecord'
  allowed: 'project_relations, project'

consolidated_control:
  files: 'app/models/consolidated_area.rb, app/models/consolidated_checker.rb, app/models/consolidated_manager.rb, app/models/consolidated_project.rb'
  allowed: 'activerecord'

presenters:
  files: 'app/presenters/**/*.rb'

devise:
  gems: 'Devise'

chartdraw:
  files: 'lib/chart_helper.rb'
  allowed: 'project_relations'

actioncontroller:
  gems: 'ActionController'

activerecord:
  gems: 'ActiveRecord'

actionmailer:
  gems: 'ActionMailer'

accesscontrol:
  gems: 'CanCan'
